Bug 1251866 - Show Error 500 when click button 'Save Changes' by public account
Show Error 500 when click button 'Save Changes' by public account
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
Rony Gong
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 03:40 EDT by Rony Gong
Modified: 2015-11-04 00:41 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.4.10042-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-03 23:31:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2015-08-10 03:40:52 EDT
Description of problem:
Show Error 500 when click button 'Save Changes' by public account

Version-Release number of selected component (if applicable):
4.4.9038-3

How reproducible:
Always

Steps to Reproduce:
1.Login by a user who isn't in any group(newly registered user)
2.Create a RHEL7 bug.
3.After click this bug, do any change to this bug, then click button 'Save Changes' in the bug detail page.

Actual results:
Show Error 500

Expected results:
Save bug successfully

Additional info:
I can't tailf any error log from log files.
Comment 2 Jeff Fearn 2015-08-10 21:04:21 EDT
Do we know if this happens in current production?
Comment 3 Rony Gong 2015-08-10 22:21:54 EDT
(In reply to Jeff Fearn from comment #2)
> Do we know if this happens in current production?

This doesn't happens in current production.
Comment 4 Jeff Fearn 2015-08-11 00:28:10 EDT
It also doesn't happen on partner-bz for RHEL, on all testing it works OK on the Bugzilla product so it has to be something to do with a difference in handling only 1 status BZ allows users to close their own bugs so it has 2 statuses)
Comment 5 Jeff Fearn 2015-08-16 21:12:19 EDT
The bug here appears to be the status in the form is editable and it shouldn't be.
Comment 8 Rony Gong 2015-08-31 01:21:54 EDT
Tested on 
QA environment(bzweb01-qe) with version(4.4.9040-1, DB: mysql)
QA environment(bzperfweb01.app.qa) with version(4.4.9040-1, DB: psql )
Result: Pass
Comment 9 Matt Tyson 2015-11-03 23:31:18 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.